"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Stack {
    constructor() {
        this._count = 0;
        this._storage = {};
    }
    push(val) {
        this._storage[this._count] = val;
        this._count++;
    }
    pop() {
        if (this._count === 0) {
            return undefined;
        }
        this._count--;
        var result = this._storage[this._count];
        delete this._storage[this._count];
        return result;
    }
    get size() {
        return this._count;
    }
    get peek() {
        return this._storage[this._count - 1];
    }
}
exports.Stack = Stack;
//# sourceMappingURL=Stack.js.map