module.exports = {
    entry: "./teste.ts",
    output: {
        path: __dirname,
        filename: "bundle.js"
    },
    resolve: {
        extensions: ['.ts', '.js', '.json']
    },
    module: {
        loaders: [
            { test: /\.css$/, loader: "style!css" }
        ],
        rules: [
            {
                test: /\.ts$/,
                use: [                    
                    {
                        loader: 'awesome-typescript-loader',
                        options: {
                            configFileName: './tsconfig.json'
                        }
                    }
                ],
                exclude: [/\.(spec|e2e)\.ts$/, 'node_modules']
            }]
        }
    }