export class Stack<T>{

    private _count: any;
    private _storage: any;

    constructor() {
        this._count = 0;
        this._storage = {};
    }

    push(val: T) {
        this._storage[this._count] = val;
        this._count++;
    }

    pop(): T {
        if (this._count === 0) {
            return undefined;
        }
        this._count--;
        var result = this._storage[this._count];
        delete this._storage[this._count];
        return result;
    }

    get size(): Number {
        return this._count;
    }

    get peek(): Number {
        return this._storage[this._count - 1];
    }
}